Bug 516888 - OpenVPN connections should be enabled if the connection's gateway is routable
OpenVPN connections should be enabled if the connection's gateway is routable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
http://selliott.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-11 15:33 EDT by Steven Elliott
Modified: 2010-06-28 10:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:05:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Elliott 2009-08-11 15:33:14 EDT
Description of problem:

OpenVPN connections created via the NetworkManager-openvpn appear as menu items under the "VPN Connections" menu.  The menu items seem to be enabled and disabled as a function of whether NetworkManager thinks there is a valid network connection.  Although normally this behaviour is correct there are corner cases where menu items should be enabled even though there is not a valid network connection.


Version-Release number of selected component (if applicable):

Fedora 11 x86_64
NetworkManager-0.7.1-8.git20090708.fc11.x86_64
NetworkManager-openvpn-0.7.0.99-1.fc11.x86_64


How reproducible:

Very


Steps to Reproduce:

1. Install the NetworkManager-openvpn RPM which depends on all required RPMs.
2. Create a connection who's gateway is 127.0.0.1.  The certificates and other details are not important.
3. Remove the Ethernet cable and or turn wireless off so that only the loopback interface is up and has a valid IP address.
4. Attempt to turn on the VPN connection by selecting it from the "VPN Connections" menu.
  

Actual results:

The menu item for the VPN connection is disabled so it can not be selected.


Expected results:

The menu item for the VPN connection is enabled so it can be selected.


Additional info:

Since the gateway of the VPN connection is 127.0.0.1 it matches the netmask of the loopback interface, which is active.

As to why this is helpful - certain tethering scenarios, such as with Android, involve routing data through an application that listens on the loopback interface and then relays the connection to the phone.  Consequently having a OpenVPN connection with an IP address of 127.0.0.1 is useful to me.  Additional information about this can be seen in my blog post at:
    http://selliott.org/node/49
Comment 1 Bug Zapper 2010-04-28 05:42:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 10:05:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.